Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.service.impl
Class ImplementationClassObjectFactoryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.service.impl.ImplementationClassObjectFactoryImpl

All Implemented Interfaces:
  ImplementationObjectFactory

Direct Known Subclasses:
  ResourceFactoryImpl

    public class ImplementationClassObjectFactoryImpl

extends java.lang.Object
implements ImplementationObjectFactory

Author:
  swood

Constructor Summary
`ImplementationClassObjectFactoryImpl()`

Method Summary
`java.lang.String` | `getIdForClass(java.lang.Class _class)`
`java.lang.Class` | `getImplementationClass(java.lang.Class _class)`
`java.lang.Class` | `getImplementationClass(java.lang.String id)`
`java.util.Map` | `getImplementationClassMappings()`
`java.lang.String` | `getImplementationClassName(java.lang.Class _class)`
`java.lang.String` | `getImplementationClassName(java.lang.String id)`
`java.lang.Class` | `getInterface(java.lang.Class _class)`
`java.lang.String` | `getInterfaceName(java.lang.Class _class)`
`java.util.List` | `getKeys()`
`ObjectFactory` | `getObjectFactory()`
`java.lang.Object` | `newObject(java.lang.Class _class)`
`java.lang.Object` | `newObject(java.lang.String id)`
`void` | `setImplementationClassMappings(java.util.Map implementationClassMappings)`
`void` | `setObjectFactory(ObjectFactory factoryImpl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplementationClassObjectFactoryImpl

    public ImplementationClassObjectFactoryImpl()

Method Detail

### getImplementationClassMappings

    public java.util.Map getImplementationClassMappings()

### setImplementationClassMappings

    public void setImplementationClassMappings(java.util.Map implementationClassMappings)

### getObjectFactory

    public ObjectFactory getObjectFactory()

### setObjectFactory

    public void setObjectFactory(ObjectFactory factoryImpl)

### getImplementationClass

    public java.lang.Class getImplementationClass(java.lang.Class _class)

  Specified by:
    `getImplementationClass` in interface `ImplementationObjectFactory`

### getImplementationClass

    public java.lang.Class getImplementationClass(java.lang.String id)

  Specified by:
    `getImplementationClass` in interface `ImplementationObjectFactory`

### getImplementationClassName

    public java.lang.String getImplementationClassName(java.lang.Class _class)

  Specified by:
    `getImplementationClassName` in interface `ImplementationObjectFactory`

### getImplementationClassName

    public java.lang.String getImplementationClassName(java.lang.String id)

  Specified by:
    `getImplementationClassName` in interface `ImplementationObjectFactory`

### getInterface

    public java.lang.Class getInterface(java.lang.Class _class)

  Specified by:
    `getInterface` in interface `ImplementationObjectFactory`

### getInterfaceName

    public java.lang.String getInterfaceName(java.lang.Class _class)

  Specified by:
    `getInterfaceName` in interface `ImplementationObjectFactory`

### getIdForClass

    public java.lang.String getIdForClass(java.lang.Class _class)

  Specified by:
    `getIdForClass` in interface `ImplementationObjectFactory`

### newObject

    public java.lang.Object newObject(java.lang.Class _class)

  Specified by:
    `newObject` in interface `ImplementationObjectFactory`

### newObject

    public java.lang.Object newObject(java.lang.String id)

  Specified by:
    `newObject` in interface `ImplementationObjectFactory`

### getKeys

    public java.util.List getKeys()

  Specified by:
    `getKeys` in interface `ImplementationObjectFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.